--AH:ScriptId=70302d65-cfa1-46db-a688-e0177e812f54;3050
CREATE TABLE [ApiKeys]
(
    [ApiKey_Id] INT IDENTITY(1, 1) NOT NULL,
    CONSTRAINT [PK__ApiKeys] PRIMARY KEY ([ApiKey_Id]),

    [ApiKey_Text] VARCHAR(50) NOT NULL,
    CONSTRAINT [UQ__ApiKeys__ApiKey_Text] UNIQUE ([ApiKey_Text]),

    [ApiKey_Description] NVARCHAR(MAX) NULL,
    [ApiKey_Configuration] XML NOT NULL
)

CREATE TABLE [ApiKeyAccessLogs]
(
    [ApiKeyAccessLog_Id] INT IDENTITY(1, 1) NOT NULL,
    CONSTRAINT [PK__ApiKeyAccessLogs] PRIMARY KEY ([ApiKeyAccessLog_Id]),

    [ApiKey_Text] VARCHAR(50) NOT NULL,
    [Request_Date] DATETIME NOT NULL,
    [Request_Url] VARCHAR(MAX) NOT NULL,
    [Request_Method] VARCHAR(5) NOT NULL,
    [Request_Ip_Address] VARCHAR(20) NOT NULL,
    [Request_Body] VARBINARY(MAX),
    [Response_StatusCode] INT NOT NULL,
    [Response_Body] VARBINARY(MAX) NULL
)