EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'Releases_DeleteReleaseTargetDate',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'void',
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ 'ReleaseTargetDate_Id',
    /* Description_Text        */ 'Deletes a release target date.'
GO

IF OBJECT_ID('[Releases_DeleteReleaseTargetDate]') IS NOT NULL DROP PROCEDURE [Releases_DeleteReleaseTargetDate]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Releases_DeleteReleaseTargetDate]
(
    @ReleaseTargetDate_Id INT
) 
AS BEGIN

SET NOCOUNT ON

BEGIN TRY
	BEGIN TRANSACTION


    DELETE [ReleaseTargetDates]
     WHERE [ReleaseTargetDate_Id] = @ReleaseTargetDate_Id
	


	COMMIT
END TRY BEGIN CATCH
	IF XACT_STATE()<>0  ROLLBACK
	EXEC [HandleError]
END CATCH
		 
END
GO

GRANT EXECUTE ON [Releases_DeleteReleaseTargetDate] TO [BuildMasterUser_Role]
